%define libver		1.0
%define major		0
%define girmajor	1.0

%define libname		%mklibname %{name} %{libver} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{girmajor}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		json-glib
Version:	0.14.2
Release:	%mkrel 1
Summary:	Library for JavaScript Object Notation format
Group:		System/Libraries
License:	LGPLv2+
URL:		http://live.gnome.org/JsonGlib
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	glib2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk-doc
Requires:	%{libname} = %{version}

%description
%{name} is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}

%description -n %{libname}
%{name} is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format.


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Provides:	lib%{name}-devel = %version-%release
Requires:	%{libname} = %{version}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:        GObject Introspection interface description for %name
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:	%{mklibname %{name}1.0-gir 1.0} < 0.13.4-3

%description -n %{girname}
GObject Introspection interface description for %name.

%prep
%setup -q

%build
%configure2_5x	--disable-static
%make 

%install
rm -rf %{buildroot}
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;

%find_lang %{name}-%{libver}

%check
%make check

%clean
rm -rf %{buildroot}

%files -f %{name}-%{libver}.lang

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/lib%{name}-%{libver}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Json-%{girmajor}.typelib

%files -n %{develname}
%defattr(-,root,root,-)
%doc README NEWS ChangeLog
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/lib%{name}-%{libver}.so
%{_libdir}/pkgconfig/%{name}-%{libver}.pc
%{_includedir}/%{name}-%{libver}/
%{_datadir}/gir-1.0/Json-%{girmajor}.gir


%changelog

* Thu Oct 27 2011 wally <wally> 0.14.2-1.mga2
+ Revision: 158672
- new version 0.14.2

* Mon Sep 19 2011 fwang <fwang> 0.14.0-1.mga2
+ Revision: 145462
- update file list
- new version 0.14.0

* Sat Sep 10 2011 fwang <fwang> 0.13.90-1.mga2
+ Revision: 141981
- new version 0.13.90

* Thu Jul 07 2011 wally <wally> 0.13.4-3.mga2
+ Revision: 119838
- fix gir package name

* Tue Jul 05 2011 dmorgan <dmorgan> 0.13.4-2.mga2
+ Revision: 118858
- Make the lib package requires the gir one

* Mon Jul 04 2011 wally <wally> 0.13.4-1.mga2
+ Revision: 118146
- new version 0.13.4
- add a subpackage for gir .typelib
- disable static build for sure

* Sun Jan 23 2011 pterjan <pterjan> 0.12.2-1.mga1
+ Revision: 35445
- imported package json-glib


* Mon Jan 10 2011 Götz Waschk <waschk@mandriva.org> 0.12.2-1mdv2011.0
+ Revision: 630851
- new version

* Sat Sep 25 2010 Götz Waschk <waschk@mandriva.org> 0.12.0-1mdv2011.0
+ Revision: 580982
- update to new version 0.12.0

* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 0.11.2-2mdv2011.0
+ Revision: 577921
- rebuild for new g-i

* Mon Aug 02 2010 Götz Waschk <waschk@mandriva.org> 0.11.2-1mdv2011.0
+ Revision: 565071
- new version
- drop patch

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.10.4-2mdv2011.0
+ Revision: 563323
- rebuild for new gobject-introspection

* Fri Mar 19 2010 Götz Waschk <waschk@mandriva.org> 0.10.4-1mdv2010.1
+ Revision: 525304
- update to new version 0.10.4

  + Anssi Hannula <anssi@mandriva.org>
    - fix hardcoded paths in pkgconfig file (reported by Juho Teperi)

* Fri Feb 26 2010 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdv2010.1
+ Revision: 511958
- new version

* Mon Jan 04 2010 Götz Waschk <waschk@mandriva.org> 0.10.0-2mdv2010.1
+ Revision: 486165
- enable introspection
- fix devel provides
- readd libtool archive

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0.10.0-1mdv2010.1
+ Revision: 483944
- update to new version 0.10.0

* Thu Dec 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.2-1mdv2010.1
+ Revision: 476181
- Update to new version 0.9.2
- Update to new version 0.8.2

* Mon Sep 28 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.0-1mdv2010.0
+ Revision: 450642
- Update to new version 0.8.0

* Wed Sep 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.6-1mdv2010.0
+ Revision: 435924
- Update to new version 0.7.6

* Wed Aug 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.4-1mdv2010.0
+ Revision: 415768
- Update to new version 0.7.4
- Run test suite

* Fri Jul 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.2-1mdv2010.0
+ Revision: 394336
- BuildRequires: gtk-doc
- Disable gobject-introspection again: probably needs some more work
  to correctly package this
- BuildRequires: gobject-introspection
- commit first SPEC file, based on Fedora's
- Don't run test suite, it sometimes hangs
- create json-glib

